package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadCH4StatusCommandResponse;

public class ReadCH4StatusCommand extends ReadMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 6508070196810920169L;

	@Override
	public Class<ReadCH4StatusCommandResponse> getResponseClass() {
		return ReadCH4StatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询甲烷报警状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READCH4STATUS;
	}

}
